﻿html, body, form {
    height: 100%;
}
body {
    background-image: url('../Images/login_bg.jpg');
    background-position: center center;
    background-size: cover;
    background-color: #883489;
}

@media only screen and (max-width: 768px) {
    body {
        background-size: auto 100%;
    }
}

.div_notifications {
    position: fixed;
    left: 50%;
    top: 10px;
    transform: translate(-50%, 0);
}
    .div_notifications td {
        font-size: 14px !important;
    }
        .div_notifications td img {
            margin-top: -2px;
        }

.div_all {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.div_login_container {
    border-radius: 7px;
    border: 1px dotted #fff;
    background-color: rgba(255, 255, 255, 0.75);
    box-shadow: 0 1px 7px #ffffff;
    display: flex;
    justify-content: center;
    margin: 20px 100px;
    max-width: 1000px;
    padding: 15px;
}
    .div_login_container > .col_1 {
        flex: 1;
    }
        .div_login_container > .col_1 > div[rel="logo"] {
            text-align: center;
        }
            .div_login_container > .col_1 > div[rel="logo"] > div {
                background-color: rgba(255, 255, 255, 0.8);
                display: inline-block;
                font-size: 0;
                border-radius: 15px;
                padding: 15px;
                border: 1px solid transparent;
                box-shadow: 0 0 7px #fff;
            }
                .div_login_container > .col_1 > div[rel="logo"] > div > img {
                    width: 150px;
                    height: 150px;
                }
        .div_login_container > .col_1 > div[rel="login_banner"] {
            text-align: center;
        }
            .div_login_container > .col_1 > div[rel="login_banner"] > img {
                width: 100%;
                max-width: 350px;
            }
        .div_login_container > .col_1 > div[rel="organ_name"] {
            text-align: center;
            border-radius: 5px;
            font-size: 1rem;
            background-color: #0b73de;
            color: #fff;
            padding: 5px 7px;
        }

    .div_login_container > .col_line {
        border-right: 2px dashed #fff;
        margin: 0 15px;
    }

    .div_login_container > .col_2 {
        flex: 1;
        display: flex;
        flex-direction: column;
    }
        .div_login_container > .col_2 > .div_login_type {
            flex: 1;
            display: flex;
            align-items: center;
        }
.ul_login_type {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    width: 100%;
}
    .ul_login_type > li {
        flex: 1;
        margin-left: 5px;
        width: 50%;
        min-width: 200px;
    }
        .ul_login_type > li:first-child {
            margin-left: 2.5px;
        }
        .ul_login_type > li:last-child {
            margin-right: 2.5px;
        }
        .ul_login_type > li > div.btn {
            display: block;
            background: linear-gradient(0deg, #e4e6e8 0, #f6f6f6 100%);
            transition: box-shadow 0.2s, border-color 0.2s;
        }
        .ul_login_type > li > div > div[rel="icon"] {
        }
            .ul_login_type > li > div > div[rel="icon"] > img {
                width: 90px;
                height: 90px;
            }
            .ul_login_type > li > div.btn:active,
            .ul_login_type > li > div.btn:focus {
                box-shadow: 0 0 0 0.2rem rgba(200, 214, 226, 0.53) !important;
            }

.div_login_container > .col_2 > .div_login_as_member {
    flex: 1;
    display: flex;
    flex-direction: column;
}
.div_login_container > .col_2 > .div_login_as_expert {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.div_cpblts {
    flex: 1;
}
    .div_cpblts > .ul_cpblts {
        margin: 0;
        padding: 0;
        list-style-type: none;
        color: #515151;
        font-size: 0.8rem;
    }
        .div_cpblts > .ul_cpblts > li {
            display: flex;
            align-items: center;
            padding: 3px 0;
        }
            .div_cpblts > .ul_cpblts > li > div[rel="icon"] {
                width: 25px;
                height: 25px;
                margin-left: 7px;
                background-image: url('../Images/icon_bullet_left_arrow.svg');
                background-size: 70%;
                background-position: center;
                background-repeat: no-repeat;
            }
            .div_cpblts > .ul_cpblts > li > div[rel="text"] {
            }

.div_login {
    font-size: 0.9rem;
    border: 1px solid var(--color-primary);
    border-radius: 10px;
    padding: 10px;
    position: relative;
    text-align: center;
}
    .div_login > center {
        background-color: var(--grid-focus-bg-color);
        border: 1px dashed var(--color-primary);
        padding: 2px 7px;
        border-radius: 6px;
        color: #222;
    }
    .div_login .form-control {
        font-size: 1.2rem;
        padding: 4px 10px 6px 10px;
        letter-spacing: 1px;
        font-family: Tahoma;
    }
    .div_login .btn {
        font-size: 0.85rem;
    }
    
.div_login_flex {
    display: flex;
    margin: 18px 0 0 0;
    flex-wrap: wrap;
}
    .div_login_flex > .div_material_textbox {
        margin: 0 5px;
        flex: 1;
    }
        .div_login_flex > .div_material_textbox.centered {
            flex-basis: 100%;
            margin: 10px 25% 0 25%;
        }

.div_input_captcha {
    margin-top: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
}
    .div_input_captcha > .btn {
        padding: 9px 13px 7px 13px;
        margin-left: 3px;
    }
    .div_input_captcha > img {
        border-radius: 7px;
        width: 135px;
        height: 35px;
        border: 1px solid #fff;
        box-shadow: 0 0 2px #c8d6e2;
    }

.div_design_by {
    color: #001354;
    /*text-shadow: 0 1px 2px #fff;*/
    text-align: center;
    padding: 15px;
    margin-bottom: 10px;
}
    .div_design_by a {
        color: #ffe1db;
        border-bottom: 1px dotted transparent;
    }
    .div_design_by a:hover {
        color: #fff;
        border-bottom-color: #fff;
    }


@media (max-width: 1200px) {
    .div_login_container {
        max-width: 90%;
        margin: 15px 50px;
    }
}

@media (max-width: 900px) {
    .div_login_container {
        max-width: 95%;
        margin: 15px 30px;
    }

    .div_login_flex {
        flex-direction: column;
        margin: 0;
    }
        .div_login_flex > .div_material_textbox {
            margin: 20px 0 0 0;
            max-width: 100%;
        }
            .div_login_flex > .div_material_textbox.centered {
                flex-basis: 100%;
                margin: 20px 0 0 0;
            }
}

@media (max-width: 680px) {
    .ul_login_type {
        flex-direction: column;
    }
        .ul_login_type > li {
            width: unset;
            margin-left: 0;
            margin-right: 0;
        }
            .ul_login_type > li:first-child {
                margin-bottom: 10px;
            }
}

@media (max-width: 600px) {
    .div_login_container {
        max-width: 95%;
        margin: 15px 10px;
    }
}

@media (max-width: 580px) {
    html, body, form {
        height: unset;
    }

    body {
        background-size: auto;
    }

    .div_all {
        justify-content: space-around;
    }

    .div_login_container {
        max-width: 90%;
        flex-direction: column;
    }
        .div_login_container > .col_1 {
        }
            .div_login_container > .col_1 > div[rel="logo"] {
            }
                .div_login_container > .col_1 > div[rel="logo"] > div {
                    padding: 10px;
                }
                    .div_login_container > .col_1 > div[rel="logo"] > div > img {
                        width: 130px;
                        height: 130px;
                    }
            .div_login_container > .col_1 > div[rel="login_banner"] {
                margin: 10px 0;
            }
                .div_login_container > .col_1 > div[rel="login_banner"] > img {
                    width: 85%;
                }

    .ul_login_type {
        margin-top: 20px;
    }
        .ul_login_type > li {
        }
    .div_cpblts {
        flex: unset;
        padding: 20px 0 10px 0;
        order: 2;
    }

    .div_login {
        margin-top: 20px;
    }
}

/*
@media (max-width: 450px) {
    .ul_login_type {
    }
        .ul_login_type > li {
            min-width: 0;
        }
            .ul_login_type > li > div.btn {
                padding-left: 0;
                padding-right: 0;
                white-space: normal;
            }
                .ul_login_type > li > div.btn > div[rel="icon"] {
                }
                    .ul_login_type > li > div.btn > div[rel="icon"] > img {
                    }
                .ul_login_type > li > div.btn > div[rel="text"] {
                }
}
    */